<?xml version='1.0' encoding='ISO-8859-1'?>

<!-- Email DTD written by fpons@logilab.fr for use with Narval :: version 0.1 -->

<!-- Example:

     email
       |--- headers
       |      |---- from
       |      |       |--- name = Ornicar
       |      |       \--- email_addr = ornicar@logilab.org
       |      |
       |      |---- to = you@foo.bar
       |      |
       |      |---- cc = him@baz.org
       |      |
       |      |---- subject = An interesting read
       |      |
       |      |---- content-type = ???
       |      |
       |      \---- text = //the rest of the headers//
       |
       |--- body = body of the message
       |
       \--- signature = signature text
-->

<!ELEMENT email (headers,body,signature?)>
<!ATTLIST email type (outgoing|incoming) #IMPLIED>
<!-- incoming = read from the mailbox, outgoing = need being sent -->

<!ELEMENT headers (from,to,cc,subject,content-type?,text?)>

<!ELEMENT from (name,email_addr)>

<!ELEMENT to (#PCDATA)>

<!ELEMENT cc (#PCDATA)>

<!ELEMENT subject (#PCDATA)>

<!ELEMENT signature (#PCDATA)>

<!ELEMENT name (#PCDATA)>

<!ELEMENT email_addr (#PCDATA)>

<!ELEMENT content-type (#PCDATA)>

<!-- Pour l'instant jamais utile, reste à voir si ce sera utile-->
<!-- contient le texte qui précède le message dans var/spool/mail/...-->
<!ELEMENT text (#PCDATA)>

<!ELEMENT body (#PCDATA|part)*>
<!ATTLIST body multipart (yes|no) #IMPLIED>

<!ELEMENT part (#PCDATA)>

<!ATTLIST part type         (text|file) #REQUIRED
               content_type CDATA       #REQUIRED
               encoding     CDATA       #REQUIRED>

<!-- Caution: content-type is for the headers -->
<!--          content_type is for multipart messages -->


